Subject: Re: bug#18743: 25.0.50; Clang 3.0 fails to compile src/fns.c, GCC 4.8 cannot dump emacs

From: Peter Dyballa <[email-masked]>
Date: Tue, 5 Dec 2017 09:58:22 +0100

Am 5.12.2017 um 00:48 schrieb Richard Stallman:

> Does the current GCC version work for dumping Emacs?

Which one is that for you?

On a few Linux distributions I work on (professionally) a few versions of GCC are the default compiler. My Mac runs Snow Leopard or Mac OS X 10.6.8, which is since years out of support (I contemplate to upgrade to a more recent version of OS X or macOS around Christmas). And I think this also means out of GNU Emacs support, i.e. GNU Emacs 26.1 will not compile. I could be wrong, having misread this, because GNU Emacs 26.0.90 could be built, which I tried with Clang 3.9. Right now I have installed:

  gcc5 @5.5.0_0 (active)
  gcc6 @6.4.0_0 (active)

and also:

  clang-3.7 @3.7.1_5+analyzer (active)
  clang-3.8 @3.8.1_9+analyzer (active)
  clang-3.9 @3.9.1_7+analyzer+libstdcxx
  clang-3.9 @3.9.1_8+analyzer+libstdcxx (active)
  clang-4.0 @4.0.1_3+analyzer+libstdcxx
  clang-4.0 @4.0.1_4+analyzer+libstdcxx (active)

GCC 7.2 and 8 are listed as available in MacPorts, and also Clang 5.0. I have some versions of GNU Emacs 25.x available too. Which checks would like to see me perform?

--
Greetings

  Pete

True happiness is knowing you're a hypocrite	– Ivor Cutler